QGIS Application - Bug report #16077
PostGIS layer loaded from Python Console can cause System Freeze
2017-01-13 01:24 PM - Raphael Dumas

Status: Closed

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.12 Regression?: No
Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corruptsdata: Copied to github as #: 23992
Description

I've somehow managed to (sometimes) load a layer in QGIS that, when the project is saved, will cause the system to freeze whenever the
project is opened, requiring a hard reboot. I've tested this on two separate Windows machines with QGIS 2.8 and QGIS 2.14.X

The layer is initially loaded by a Python script querying a remote PostGIS table. The initial loading of the layer doesn't seem to make the
computer crash, and I've also managed to occasionally save the project after the layer has loaded without crashes.

| can fix the project by opening the xml and deleting elements relating to that layer as per my description here
http://gis.stackexchange.com/a/221729/36886

Attempting to log something from QGIS according to GIS.se produces nothing. http:/gis.stackexchange.com/a/148353/36886

What other information would be useful to provide?

| couldn't anything explicitly about QGIS in Windows Event Viewer, but | may not be looking in the right spot.

History

#1 - 2017-03-07 07:37 AM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on the latest versions available 2.18.4/master (qgis3) but also add the specific steps to allow us replicate the issue.

#2 - 2017-04-29 05:33 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.

#3 - 2017-09-07 07:52 PM - Raphael Dumas
- Status changed from Closed to Reopened
- File IMG_20170828_135905.jpg added

So | upgrade to 2.18.12 and this happened again with a project. I've attached the BSOD Windows produced if that's helpful.

2025-04-27 1/3



http://gis.stackexchange.com/a/221729/36886
http://gis.stackexchange.com/a/148353/36886

| can try to edit a minimal project + layer to produce this. But would prefer being pointed to a log to upload. Figuring out the exact layer causing this issue

and hoping it's one | can upload publicly will take substantial effort if | need to regularly restart my computer.

#4 - 2017-09-07 08:20 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Affected QGIS version changed from 2.14.10 to 2.18.12

- Description updated

Raphael Dumas wrote:

So | upgrade to 2.18.12 and this happened again with a project. I've attached the BSOD Windows produced if that's helpful.

I can try to edit a minimal project + layer to produce this. But would prefer being pointed to a log to upload. Figuring out the exact layer causing this

issue and hoping it's one | can upload publicly will take substantial effort if | need to regularly restart my computer.

can you share the dump of the layer, the scripts, steps... all the necessary to allow us replicate? thanks.

#5 - 2017-09-08 01:35 PM - Jiirgen Fischer

- Assignee deleted (Jirgen Fischer)

#6 - 2017-09-25 04:23 PM - Giovanni Manghi
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary (with data and steps).

#7 - 2018-03-23 04:26 PM - Raphael Dumas
- File lakeshore_gardiner_corrupt.qgs added
- Status changed from Closed to Reopened

This also affects QGIS 3.0 :( and it happened for a layer | loaded from PostgreSQL without using Python.

The good news is | determined that this seems to happen regardless of whether the query was fully valid or not, so | can share the project file without

having to share the data, which is unfortunately proprietary. I've manually replaced the database host address in the project file and manually deleted
extraneous layers which didn't appear to cause the problem.

#8 - 2019-03-09 03:09 PM - Giovanni Manghi
- Status changed from Reopened to Closed

- Resolution changed from not reproducable to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
